Website Hosting - Bug #86

Error While Backing Up MySQL Using rsnapshot and mysqldump
03/02/2013 08:02 PM - Daniel Curtis

Status: Closed Start date: 03/02/2013
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 0.20 hour
Description

While setting up the backup system for a server and testing the rsnapshot script | get an error:

mysqgldump: Got error: 1045: Access denied for user 'debian-sys-maint'@'localhost’ (using password: YES) when trying to
connect

Related issues:
Related to Website Hosting - Support #85: Backing Up with Rsnapshot & Snapsho... Closed 03/02/2013

History

#1 - 03/02/2013 08:15 PM - Daniel Curtis
- Status changed from New to Closed
- Assignee set to Daniel Curtis

- % Done changed from 0 to 100

There is either no user debian-sys-maint in the MySQL user table, or the password for debian-sys-maint in the MySQL user table does not match
/etc/mysql/debian.cnf

Refer to https://project.altservice.com/issues/85#Create-debian-sys-maint-user

#2 - 08/07/2013 12:37 PM - Daniel Curtis

- Private changed from Yes to No

#3 - 02/04/2014 07:05 PM - Daniel Curtis

| managed to come up with a fix. First get the password of the debian-sys-maint user from the default configuration:

cat /etc/mysgl/debian.cnf

#! Automatically generated for Debian scripts. DO NOT TOUCH!
[client]

host = localhost

user = debian-sys-maint

password = <password>

socket = /var/run/mysgld/mysqld.sock
[mysql_upgrade]

host = localhost

user = debian-sys-maint

password = <password>

socket = /var/run/mysqld/mysqld.sock
basedir = /usr

Then log into a mysql console as root:

mysgl -u root -p

Then update the debian-sys-maint users password:
https://project.altservice.com/issues/85#Create-debian-sys-maint-user

GRANT ALL PRIVILEGES ON *.* TO 'debian-sys-maint'@'localhost' IDENTIFIED BY '<password>';
FLUSH PRIVILEGES;

Resources
http://stackoverflow.com/questions/11644300/access-denied-for-user-debian-sys-maint
http://www.tcpdf.org

